GET /nouns/search/{id}

Get details of a specific gendered noun by its ID.

Headers

  • Accept string Required

    The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to application/json

    Values are application/json, text/calendar, text/plain, or text/html. Default value is application/json.

Path parameters

  • id integer Required

    The ID of the gendered noun.

Responses

  • 200 application/json

    A JSON object representing the gendered noun

    Hide response attributes Show response attributes object
    • id string Required

      A unique identifier for an item, typically a 26-character alphanumeric string.

    • key string Required

      A key or identifier for the noun, often derived from the singular form.

    • words object Required
      Hide words attributes Show words attributes object
      • masc object
        Hide masc attributes Show masc attributes object
        • singular array[string | object]

          A list of singular forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

        • plural array[string | object]

          A list of plural forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

      • fem object
        Hide fem attributes Show fem attributes object
        • singular array[string | object]

          A list of singular forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

        • plural array[string | object]

          A list of plural forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

      • neutr object
        Hide neutr attributes Show neutr attributes object
        • singular array[string | object]

          A list of singular forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

        • plural array[string | object]

          A list of plural forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

      • nb object
        Hide nb attributes Show nb attributes object
        • singular array[string | object]

          A list of singular forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

        • plural array[string | object]

          A list of plural forms

          Any of:

          Shorthand which specifies only the spelling and no additional properties

    • classInstance object | null

      The noun class this entry belongs to. Only applicable on locales where noun conventions are defined.

    • categories array[string] Required

      A list of categories or classifications for

    • sources array[string] Required

      A list of sources associated with the noun. See key of Source.

    • sourcesData array[object]

      A list of detailed source data objects associated with the noun.

      Hide sourcesData attributes Show sourcesData attributes object

      A source associated with a noun or term, containing detailed information about the source material.

      • id string Required

        A unique identifier for an item, typically a 26-character alphanumeric string.

      • locale string Required

        The locale associated with the submitted data (e.g., "en" for English).

      • approved boolean Required

        Indicates if the submission has been approved

      • deleted boolean Required

        Indicates if the submission has been marked as deleted

      • pronouns string Required

        The pronouns associated with the source (e.g., "they").

      • type string Required

        The type of source (e.g., "Book", "Article", "Website").

        Values are Book, Article, or Website.

      • author string Required

        The author of the source.

      • title string Required

        The title of the source.

      • extra string Required

        Any extra information about the source.

      • year integer Required

        The year the source was published.

      • fragments string Required

        A fragment or excerpt from the source that is relevant to the pronouns.

      • comment string | null

        Any comments about the source or its relevance to the pronouns.

      • submitter_id string Required

        A unique identifier for an item, typically a 26-character alphanumeric string.

      • base_id string

        A unique identifier for an item, typically a 26-character alphanumeric string.

      • key string | null

        A key or identifier for the source, often derived from the publication date and title.

      • images string | null

        A comma-separated list of image IDs associated with this source.

      • spoiler boolean

        Indicates if the source contains spoilers for the pronouns or related content.

      • submitter string Required

        The name of the person who submitted the source.

      • versions array[string]

        A list of version IDs from other locales associated with this source.

  • default application/json

    Basic Error Response

    Hide response attributes Show response attributes object
    • statusCode number Required

      The HTTP Status Code associated with the error

    • error boolean Required

      Indicates that the response is an error

      Value is true.

    • statusMessage string Required

      The message associated with the error

    • message string Required

      The message associated with the error (client visible)

    • url string Required

      The URL that was requested which resulted in the error

GET /nouns/search/{id}
curl \
 --request GET 'https://pronombr.es/api/public/v3/nouns/search/{id}' \
 --header "Accept: application/json"
Response examples (200)
{
  "id": "01JBXS13H8311MFPJYEXCPFZZJ",
  "key": "(un)manned",
  "words": {
    "masc": {
      "singular": [
        "(un)manned"
      ]
    },
    "fem": {
      "singular": [
        "(un)womanned"
      ]
    },
    "neutr": {
      "singular": [
        "(un)attended",
        "(un)crewed",
        "(un)piloted",
        "(un)armed",
        "(un)staffed",
        "(un)occupied"
      ]
    }
  },
  "classInstance": null,
  "categories": [
    "adjective"
  ],
  "sources": [
    null
  ],
  "approved": true,
  "base": null,
  "author": "tymk",
  "sourcesData": [
    null
  ]
}
Response examples (default)
The request contains invalid content
{
  "error": true,
  "statusCode": 400,
  "statusMessage": "Bad Request",
  "message": "XYZ contains an invalid value",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
  "error": true,
  "statusCode": 401,
  "statusMessage": "Unauthorised",
  "message": "You are not authorised to access this content",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
  "error": true,
  "statusCode": 404,
  "statusMessage": "Not Found",
  "message": "Requested Item Not Found",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
  "error": true,
  "statusCode": 410,
  "statusMessage": "Gone",
  "message": "v1 has been marked as depreciated; please use v2 or v3",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
  "error": true,
  "statusCode": 500,
  "statusMessage": "Server Error",
  "message": "An unknown server error has occured, please try again later",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}